MCP transport (header auth)

Streamable HTTP MCP transport. Auth via Authorization: Bearer st_<key> header. Use this with MCP clients like Cursor or Claude Desktop. Each tool call costs 1 credit except stophy_get_credits which is free.

Streamable HTTP MCP transport. Auth via Authorization: Bearer st_ header. Use this with MCP clients like Cursor or Claude Desktop. Each tool call costs 1 credit except stophy_get_credits which is free.

Authorization

bearerAuth
AuthorizationBearer <token>

API key from your dashboard. Prefix with Bearer in the Authorization header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

POST
/v1/mcp
curl -X POST "https://example.com/v1/mcp" \  -H "Content-Type: application/json" \  -d '{    "jsonrpc": "2.0",    "id": 1,    "method": "initialize",    "params": {      "protocolVersion": "2025-06-18",      "capabilities": {},      "clientInfo": {        "name": "example-client",        "version": "1.0.0"      }    }  }'
{}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}